Bug 126260 - gcj internal error
gcj internal error
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gcc (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-18 01:52 EDT by Igor
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-19 04:16:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor 2004-06-18 01:52:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040207 Firefox/0.8

Description of problem:
gcj -O2 --encoding=UTF-8
-I"/home/igor/downloads/source/pdftk-0.941/itext-1.1" -c
PdfContents.java -o PdfContents.o
PdfContents.java: In class `com.lowagie.text.pdf.PdfContents':
Not able to compile pdftk on RH9.

Here is the result of compilation:


PdfContents.java: In constructor
`(com.lowagie.text.pdf.PdfContentByte,com.lowagie.text.pdf.PdfContentByte,com.lowagie.text.pdf.PdfContentByte,com.lowagie.text.pdf.PdfContentByte,com.lowagie.text.Rectangle)':
PdfContents.java:146: Internal compiler error in fixup_abnormal_edges,
at reload1.c:9506
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [PdfContents.o] Error 1
make[2]: Leaving directory
`/home/igor/downloads/source/pdftk-0.941/itext-1.1/com/lowagie/text/pdf'
make[1]: *** [itext] Error 2
make[1]: Leaving directory
`/home/igor/downloads/source/pdftk-0.941/itext-1.1'
make: *** [itext] Error 2


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.download pdftk package from http://www.accesspdf.com/pdftk/
2. unpack the tar ball
3. type make -f Makefile.Redhat
 wait
    

Actual Results:  gcj compiler exits with this message:
gcj -O2 --encoding=UTF-8
-I"/home/igor/downloads/source/pdftk-0.941/itext-1.1" -c
PdfContentByte.java -o PdfContentByte.o
gcj -O2 --encoding=UTF-8
-I"/home/igor/downloads/source/pdftk-0.941/itext-1.1" -c
PdfContents.java -o PdfContents.o
PdfContents.java: In class `com.lowagie.text.pdf.PdfContents':
PdfContents.java: In constructor
`(com.lowagie.text.pdf.PdfContentByte,com.lowagie.text.pdf.PdfContentByte,com.lowagie.text.pdf.PdfContentByte,com.lowagie.text.pdf.PdfContentByte,com.lowagie.text.Rectangle)':
PdfContents.java:146: Internal compiler error in fixup_abnormal_edges,
at reload1.c:9506
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [PdfContents.o] Error 1
make[2]: Leaving directory
`/home/igor/downloads/source/pdftk-0.941/itext-1.1/com/lowagie/text/pdf'
make[1]: *** [itext] Error 2
make[1]: Leaving directory
`/home/igor/downloads/source/pdftk-0.941/itext-1.1'
make: *** [itext] Error 2


Expected Results:  
compiler should finish the job

Additional info:

system : stock RH9
compiler gcj 
compat-libgcj-devel-7.3-2.96.118
libgcj-devel-3.2.2-5
compat-libgcj-7.3-2.96.118
libgcj-3.2.2-5
Comment 1 Jakub Jelinek 2004-06-19 04:16:57 EDT
Bugs against RHL9 certainly shouldn't be filed against RHAS 2.1.
But, as RHL9 is no longer supported, please try to reproduce it with a newer
compiler (3.3.3-7 in FC2 or 3.4.0-5 in rawhide) and reopen if you manage
to reproduce there as well.

Note You need to log in before you can comment on or make changes to this bug.